<template>
    <app-view class="contract">
        <template #header>
            <app-navbar class="contract__header" title="合同转让">
                <template #footer>
                    <Search shape="round" placeholder="商品搜索" disabled />
                </template>
            </app-navbar>
        </template>
        <app-pull-refresh class="contract__container" v-model:error="error" v-model:pageIndex="pageIndex"
            :page-count="pageCount" @refresh="onRefresh">
            <template v-for="(item, index) in dataList" :key="index">
                <Cell @click="$router.push({ name: 'contract-details', query: { wrstandardid: item.wrstandardid } })">
                    <template #title>
                        <img :src="getFirstImage(item.thumurls)" />
                        <span>{{ item.wrstandardname }}</span>
                    </template>
                </Cell>
            </template>
        </app-pull-refresh>
    </app-view>
</template>
  
<script lang="ts" setup>
import { shallowRef } from 'vue'
import { Cell, Search } from 'vant'
import { getImageUrl } from '@/filters'
import { useContractList } from '@/business/contract'
import AppPullRefresh from '@mobile/components/base/pull-refresh/index.vue'

const { pageIndex, pageCount, getWrstandardList } = useContractList()
const dataList = shallowRef<Model.THJPurchaseTransferRsp[]>([])
const error = shallowRef(false)

// 获取产品首图
const getFirstImage = (url: string) => {
    const images = url.split(',').map((path) => getImageUrl(path))
    return images[0] ?? ''
}

const onRefresh = (finish: () => void) => {
    getWrstandardList().then((res) => {
        if (pageIndex.value === 1) {
            dataList.value = []
        }
        dataList.value.push(...res)
    }).catch(() => {
        error.value = true
    }).finally(() => {
        finish()
    })
}
</script>
  
<style lang="less">
@import './index.less';
</style>